// koggtag (C)2001 Dario Abatianni <eisfuchs@tigress.com>
// This program is distributed under the GNU General Public Licence (GPL)

#include <kapp.h>
#include <kmainwindow.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kaboutdata.h>

#include <qlayout.h>
#include <qpushbutton.h>

#include "koggtagmainwindow.h"

#include "../config.h"

int main(int argc, char **argv)
{
  KAboutData about("koggtag",
                   "KOggTag",
                   VERSION,
                   "KDE2 Ogg Vorbis Tag Editor",
                   KAboutData::License_GPL,
                   "(C) 2001, 2002 by Dario Abatianni",
                   I18N_NOOP("This program is an editor for tags in Ogg Vorbis music files, similar to the\n"
                   "ID3 tags in mp3 files. It was written in C++ and uses the KDE2/3 libraries for\n"
                   "it's user interface.\n\n"
                   "It was written as an excercise in KDE2/QT/C++ programming, so it may contain\n"
                   "some fancy code or obvious bugs I just don't see. But I hope this program will\n"
                   "be useful for some people, anyway."),
                   "http://koggtag.sourceforge.net/",
                   "Dario Abatianni <eisfuchs@tigress.com>");

  about.addAuthor("Dario Abatianni",i18n("Main programming"),"eisfuchs@tigress.com","http://tigress.com/eisfuchs");
  about.setTranslator(I18N_NOOP("_: NAME OF TRANSLATORS\nYour names") ,I18N_NOOP("_: EMAIL OF TRANSLATORS\nYour emails"));

  static KCmdLineOptions options[]=
  {
    {"+[file1, file2, ... filen]",I18N_NOOP("Load the Ogg Vorbis file(s) specified"),0},
    {0,0,0}
  };
  /* Initialize application about data */
  KCmdLineArgs::init(argc,argv,&about);
  /* Tell about the options we can accept */
  KCmdLineArgs::addCmdLineOptions(options);
  /* Get command line arguments */
  KCmdLineArgs *args=KCmdLineArgs::parsedArgs();

  KApplication app;

  /* Check if we were called with a file name as parameter */
  if(args->count()>0)
  {
    for(int index=0; index<args->count(); index++)
    {
      /* Open a new window for each file */
      KOggTagMainWindow *win=new KOggTagMainWindow(args->url(index).path());
      /* Show the new window */
      win->show();
    } /* for */
  }
  else
  {
    /* Open a new window without a file to load and show it */
    KOggTagMainWindow *win=new KOggTagMainWindow();
    win->show();
  }

  return app.exec();
}
