// koggtag (C)2001 Dario Abatianni <eisfuchs@tigress.com>
// This program is distributed under the GNU General Public Licence (GPL)

#ifndef OGGFILE_H
#define OGGFILE_H

#include <qstring.h>
#include <qlist.h>

#include <kurl.h>

#include "tag.h"

class OggFile
{
  public:
    OggFile();
    ~OggFile();

    void load();
    void load(const KURL& openname);
    bool write(QString *new_file_name=0);
    void unload();

    const QString& getFilename();
    const QString& getFullPath();
    void setFullPath(const KURL& newpath);
    void setFullPath(const QString& newpath);
    void setFilename(const char *newname);

    QList<Tag> *tags;

    bool isOpen();

  private:
    QString filename;
    QString path;

    bool is_open;

    void setOpen(bool open);
};

#endif
